Show mandate for customer
curl --request GET \
--url https://rcur.app/api/v2/customers/{customerId}/mandates/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://rcur.app/api/v2/customers/{customerId}/mandates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rcur.app/api/v2/customers/{customerId}/mandates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "mdt_abc123",
"method": "directdebit",
"status": "valid",
"details": {
"consumer_name": "John Doe",
"consumer_account": "NL55INGB0000000000",
"consumer_bic": "INGBNL2A",
"card_holder": "J. Doe",
"card_number": "6787",
"card_expiry_date": "2028-12-31",
"card_label": "Mastercard",
"card_fingerprint": "Fh94dX2V"
},
"custom_mandate_reference": "MY-REF-001",
"signature_date": "2025-01-15"
}{
"status": 404,
"error": "Resource not found"
}Mandates
Show mandate for customer
GET
/
api
/
v2
/
customers
/
{customerId}
/
mandates
/
{id}
Show mandate for customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Mandate details
Example:
"mdt_abc123"
Available options:
directdebit, creditcard Example:
"directdebit"
Available options:
valid, invalid, pending Example:
"valid"
Show child attributes
Show child attributes
Example:
"MY-REF-001"
Example:
"2025-01-15"
⌘I